set(NETGEN_VERSION "6.2-dev")

get_filename_component(NETGEN_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

get_filename_component(NETGEN_DIR "${NETGEN_CMAKE_DIR}/../../../../../" ABSOLUTE)

set(NETGEN_COMPILE_DEFINITIONS "HAVE_DLFCN_H;NETGEN_VERSION=\"6.2-dev\";TCL;OPENGL;USE_TOGL_2;TOGL_X11;OCCGEOMETRY;_OCC64;JPEGLIB")

get_filename_component(NETGEN_INCLUDE_DIR "${NETGEN_CMAKE_DIR}/../../../../../include/openmpi/netgen-mesher" ABSOLUTE)
get_filename_component(NETGEN_BINARY_DIR "${NETGEN_CMAKE_DIR}/../../../bin" ABSOLUTE)
get_filename_component(NETGEN_LIBRARY_DIR "${NETGEN_CMAKE_DIR}/../../" ABSOLUTE)
get_filename_component(NETGEN_PYTHON_DIR "${NETGEN_CMAKE_DIR}/../../../python3.8/site-packages/netgen-mesher" ABSOLUTE)
get_filename_component(NETGEN_RESOURCE_DIR "${NETGEN_CMAKE_DIR}/../../../../../share" ABSOLUTE)

set(NETGEN_SOURCE_DIR "/builddir/build/BUILD/netgen-6.2.1910")

set(NETGEN_BUILD_FOR_CONDA "OFF")
set(NETGEN_CHECK_RANGE "OFF")
set(NETGEN_INCLUDE_DIRS "${NETGEN_INCLUDE_DIR}/include;${NETGEN_INCLUDE_DIR}")
set(NETGEN_CMAKE_THREAD_LIBS_INIT "-lpthread")
set(NETGEN_FFMPEG_LIBRARIES "")
set(NETGEN_JPEG_INCLUDE_DIR "/usr/include")
set(NETGEN_JPEG_LIBRARIES "/usr/lib/libjpeg.so")
set(NETGEN_LIBTOGL "togl")
set(NETGEN_METIS_INCLUDE_DIR "/usr/include")
set(NETGEN_METIS_LIBRARY "/usr/lib/libmetis.so")
set(NETGEN_MKL_LIBRARIES "")
set(NETGEN_MPI_CXX_INCLUDE_PATH "")
set(NETGEN_MPI_CXX_LIBRARIES "")
set(NETGEN_OCC_INCLUDE_DIR "/usr/include/opencascade")
set(NETGEN_OCC_LIBRARIES_BIN "")
set(NETGEN_OCC_LIBRARIES "/usr/lib/libTKBO.so;/usr/lib/libTKBool.so;/usr/lib/libTKBRep.so;/usr/lib/libTKCAF.so;/usr/lib/libTKCDF.so;/usr/lib/libTKernel.so;/usr/lib/libTKG2d.so;/usr/lib/libTKG3d.so;/usr/lib/libTKGeomAlgo.so;/usr/lib/libTKGeomBase.so;/usr/lib/libTKHLR.so;/usr/lib/libTKIGES.so;/usr/lib/libTKLCAF.so;/usr/lib/libTKMath.so;/usr/lib/libTKMesh.so;/usr/lib/libTKOffset.so;/usr/lib/libTKPrim.so;/usr/lib/libTKService.so;/usr/lib/libTKShHealing.so;/usr/lib/libTKSTEP.so;/usr/lib/libTKSTEP209.so;/usr/lib/libTKSTEPAttr.so;/usr/lib/libTKSTEPBase.so;/usr/lib/libTKSTL.so;/usr/lib/libTKTopAlgo.so;/usr/lib/libTKV3d.so;/usr/lib/libTKXCAF.so;/usr/lib/libTKXDEIGES.so;/usr/lib/libTKXDESTEP.so;/usr/lib/libTKXSBase.so;/usr/lib/libTKVCAF.so")
set(NETGEN_OCC_LIBRARY_DIR "/usr/lib")
set(NETGEN_OPENGL_LIBRARIES "/usr/lib/libGL.so;/usr/lib/libGLU.so")
set(NETGEN_PYTHON_EXECUTABLE "/usr/bin/python3")
set(NETGEN_PYTHON_INCLUDE_DIRS "/usr/include/python3.8")
set(NETGEN_PYTHON_LIBRARIES "/usr/lib/libpython3.8.so")
set(NETGEN_TCL_INCLUDE_PATH "/usr/include")
set(NETGEN_TCL_LIBRARY "/usr/lib/libtcl.so")
set(NETGEN_TK_DND_LIBRARY "")
set(NETGEN_TK_INCLUDE_PATH "/usr/include")
set(NETGEN_TK_LIBRARY "/usr/lib/libtk.so")
set(NETGEN_X11_X11_LIB "/usr/lib/libX11.so")
set(NETGEN_X11_Xmu_LIB "/usr/lib/libXmu.so")
set(NETGEN_ZLIB_INCLUDE_DIRS "/usr/include")
set(NETGEN_ZLIB_LIBRARIES "/usr/lib/libz.so")

set(NETGEN_USE_GUI ON)
set(NETGEN_USE_PYTHON ON)
set(NETGEN_USE_MPI 1)
set(NETGEN_USE_OCC 1)
set(NETGEN_USE_JPEG 1)
set(NETGEN_USE_MPEG OFF)
set(NETGEN_INTEL_MIC OFF)
set(NETGEN_INSTALL_PROFILES OFF)
set(NETGEN_USE_CCACHE OFF)

set(NETGEN_PYTHON_RPATH "../../../lib")
set(NETGEN_RPATH_TOKEN "$ORIGIN")

set(NETGEN_INSTALL_DIR_PYTHON /usr/lib/openmpi/python3.8/site-packages/netgen-mesher)
set(NETGEN_INSTALL_DIR_BIN /usr/lib/openmpi/bin/)
set(NETGEN_INSTALL_DIR_LIB /usr/lib/openmpi/lib/)
set(NETGEN_INSTALL_DIR_INCLUDE /usr/include/openmpi/netgen-mesher)
set(NETGEN_INSTALL_DIR_CMAKE /usr/lib/openmpi/lib/cmake/netgen-mesher)
set(NETGEN_INSTALL_DIR_RES share)

include(${CMAKE_CURRENT_LIST_DIR}/netgen-targets.cmake)
message(STATUS "Found Netgen: ${CMAKE_CURRENT_LIST_DIR}")
